%define	version 8.1
%define name mandrake_doc
%define release 1mdk

Name: %{name}
Summary: Linux-Mandrake documentation
Version: %{version}
Release: %{release}
License: GFDL
Group: System/Internationalization
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: %{name}-%{version}.tar.bz2
Source1: %{name}.tar.bz2
BuildArchitectures: noarch


%description
This package contains some useful documentation for Mandrake Linux
systems. This documentation is directly accessible through the
Mandrake desktop (the "Documentation" icon). It includes the Mandrake
Linux Installation and User Guide, plus the Reference Manual.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version} -c -a 0 -a 1

%install

mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/menu
mv mandrake_doc/menus/mandrake_doc-?? $RPM_BUILD_ROOT%{_prefix}/lib/menu/
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/icons/large/
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/icons/mini/
mkdir -p $RPM_BUILD_ROOT%{_docdir}/mandrake
for i in en fr es de it; do \
    cp mandrake_doc/icons/doc48.xpm $RPM_BUILD_ROOT%{_prefix}/share/icons/large/mdkdoc-$i.xpm;
    cp mandrake_doc/icons/doc32.xpm $RPM_BUILD_ROOT%{_prefix}/share/icons/mdkdoc-$i.xpm;
    cp mandrake_doc/icons/doc16.xpm $RPM_BUILD_ROOT%{_prefix}/share/icons/mini/mdkdoc-$i.xpm ; 
    mv $i $RPM_BUILD_ROOT%{_docdir}/mandrake/
    mv mandrake_doc/$i/* $RPM_BUILD_ROOT%{_docdir}/mandrake/$i
done
mv  mandrake_doc/images $RPM_BUILD_ROOT%{_docdir}/mandrake/

%clean
rm -rf $RPM_BUILD_ROOT


%package es
Summary: The Mandrake Linux manuals, in Spanish
Group: System/Internationalization
Requires: locales-es

%description es
This package contains some useful documentation for Mandrake Linux
systems. This documentation is directly accessible through the
Mandrake desktop (the "Documentation" icon). It includes the Mandrake
Linux Installation and User Guide, plus the Reference Manual.

%post es
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun es
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post es
#ln -sf es/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun es
#rm /usr/doc/mandrake/index.html

%files es
%defattr(-,root,root)
%dir %{_docdir}/mandrake
%{_docdir}/mandrake/images
%{_docdir}/mandrake/es
%{_prefix}/lib/menu/mandrake_doc-es
%{_prefix}/share/icons/large/mdkdoc-es.xpm 
%{_prefix}/share/icons/mdkdoc-es.xpm 
%{_prefix}/share/icons/mini/mdkdoc-es.xpm 

%package fr
Summary: The Mandrake Linux manuals, in French
Group: System/Internationalization
Requires: locales-fr

%description fr
This package contains some useful documentation for Mandrake Linux
systems. This documentation is directly accessible through the
Mandrake desktop (the "Documentation" icon). It includes the Mandrake
Linux Installation and User Guide, plus the Reference Manual.

%post fr
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun fr
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post fr
#ln -sf fr/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun fr
#rm /usr/doc/mandrake/index.html
#
%files fr
%defattr(-,root,root)
%dir %{_docdir}/mandrake
%{_docdir}/mandrake/images
%{_docdir}/mandrake/fr
%{_prefix}/lib/menu/mandrake_doc-fr
%{_prefix}/share/icons/large/mdkdoc-fr.xpm 
%{_prefix}/share/icons/mdkdoc-fr.xpm 
%{_prefix}/share/icons/mini/mdkdoc-fr.xpm 


%package de
Summary: The Mandrake Linux manuals, in German
Group: System/Internationalization
Requires: locales-de

%description de
This package contains some useful documentation for Mandrake Linux
systems. This documentation is directly accessible through the
Mandrake desktop (the "Documentation" icon). It includes the Mandrake
Linux Installation and User Guide, plus the Reference Manual.

%post de
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun de
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post de
#ln -sf de/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun de
#rm /usr/doc/mandrake/index.html
#
%files de
%defattr(-,root,root)
%dir %{_docdir}/mandrake
%{_docdir}/mandrake/images
%{_docdir}/mandrake/de
%{_prefix}/lib/menu/mandrake_doc-de
%{_prefix}/share/icons/large/mdkdoc-de.xpm 
%{_prefix}/share/icons/mdkdoc-de.xpm 
%{_prefix}/share/icons/mini/mdkdoc-de.xpm 


%package en
Summary: The Mandrake Linux manuals, in English
Group: System/Internationalization
Requires: locales-en

%description en
This package contains some useful documentation for Mandrake Linux
systems. This documentation is directly accessible through the
Mandrake desktop (the "Documentation" icon). It includes the Mandrake
Linux Installation and User Guide, plus the Reference Manual.

%post en
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun en
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post en
#ln -sf en/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun en
#rm /usr/doc/mandrake/index.html
#
%files en
%defattr(-,root,root)
%dir %{_docdir}/mandrake
%{_docdir}/mandrake/images
%{_docdir}/mandrake/en
%{_prefix}/lib/menu/mandrake_doc-en
%{_prefix}/share/icons/large/mdkdoc-en.xpm 
%{_prefix}/share/icons/mdkdoc-en.xpm 
%{_prefix}/share/icons/mini/mdkdoc-en.xpm 


%package it
Summary: The Mandrake Linux manuals, in Italian
Group: System/Internationalization
Requires: locales-it

%description it
This package contains some useful documentation for Mandrake Linux
systems.  This documentation is directly accessible through the
Mandrake desktop (the "Documentation" icon). It includes the Mandrake
Linux Installation and User Guide, plus the Reference Manual.

%post it
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun it
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

#%post it
#ln -sf it/mdkuserguide/index.html /usr/doc/mandrake
#
#%preun it
#rm /usr/doc/mandrake/index.html
#
%files it
%defattr(-,root,root)
%dir %{_docdir}/mandrake
%{_docdir}/mandrake/images
%{_docdir}/mandrake/it
%{_prefix}/lib/menu/mandrake_doc-it
%{_prefix}/share/icons/large/mdkdoc-it.xpm 
%{_prefix}/share/icons/mdkdoc-it.xpm 
%{_prefix}/share/icons/mini/mdkdoc-it.xpm 


%changelog
* Fri Sep 21 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-1mdk
- updated doc

* Fri Sep 21 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.4mdk
- updated some texts
- updated doc

* Tue Sep 18 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.3mdk
- updated some texts
- updated doc

* Wed Sep 08 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.2mdk
- new index page with new images
- updated doc

* Sat Sep 08 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.1mdk
- first beta 8.1 for beta3

* Tue Apr 17 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-2mdk
- Remove unused images and &shy;

* Sun Apr 15 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-1mdk
- HTML 8.0 finale

* Tue Mar 27 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-0.2mdk
- update doc
- fix menu entry

* Tue Mar 27 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-0.1mdk
- 8.0 alpha documentation

* Wed Oct 24 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-9mdk
- add italian sources
- suppress russian

* Wed Oct 24 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-8mdk
- fix broken link in en/index.html

* Wed Oct 11 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-7mdk
- bugfix in sources

* Thu Oct 05 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-6mdk
- fix images paths in index.html's
- use different menu names (xx)

* Thu Oct 05 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-5mdk
- Updated docs: en+fr+de+es finished
- better integration of sources

* Wed Oct 04 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5-4mdk
- hat icons really removed.
- correct some paths and links.

* Wed Sep 27 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-3mdk
- solve icons conflict

* Wed Sep 27 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-2mdk
- Update
- Suppress KDE doc

* Sat Sep 16 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-1mdk
- doc drafts for 7.2

* Thu May 11 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-4mdk
- updated images

* Wed May 10 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-3mdk
- updated doc 

* Tue May 09 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-2mdk
- add menu entry
- updated doc            

* Thu May 04 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-1mdk
- spec update 
- Now split into corporate and power packages

* Wed Jan 12 2000 Francis Galiegue <francis@mandrakesoft.com>

- Now generate all packages, point to English docs when local ones are not
  available


* Thu Jan 06 2000 Francis Galiegue <francis@mandrakesoft.com>

- Transparency sucks

* Thu Jan 06 2000 Francis Galiegue <francis@mandrakesoft.com>

- Compressed GIF images (Unisys sucks, really)

* Wed Jan 05 2000 Francis Galigue <francis@mandrakesoft.com>

- GIF images
- Only generate en and fr packages for now

* Wed Jan 05 2000 Francis Galigue <francis@mandrakesoft.com>

- Updated userguide and installguide

* Wed Dec 22 1999 Pixel <pixel@mandrakesoft.com>
- put this old one to have at least one...
- split in different language

*  Wed Sep 29 1999 Francis Galiegue <francis@mandrakesoft.com>

- %descripion -> %description :(
- fresmeat -> freshmeat...

* Wed Sep 01 1999 Francis GALIEGUE <francis@mandrakesoft.com>

- updated Mandrake user guide in French, English and German
- added French description and summary
- disabled builds other than en and fr for now
